/*
* Copyright (C) 2021, KylinSoft Co., Ltd.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, see <http://www.gnu.org/licenses/&gt;.
*
*/

#ifndef SHOWOCNWIDGET_H
#define SHOWOCRWIDGET_H

#include <QWidget>
#include <QTimer>
#include <QPainter>
#include <QLinearGradient>
#include <QLabel>
#include <QTextEdit>
#include <QHBoxLayout>
#include <QVBoxLayout>

#include "globalsignal.h"
#include "toolbarwidget.h"
#include "saneobject.h"
#include "include/common.h"

class showOcrWidget : public QLabel
{
    Q_OBJECT
public:
    explicit showOcrWidget(QWidget *parent = nullptr);

    void setupGui();
    void initConnect();

protected:
    void resizeEvent(QResizeEvent *event) Q_DECL_OVERRIDE;


public slots:
    void showScanLine();
    void loadScanningPicture();

    void startScanSlot();
    void stopScanStop();

    void updateOcrTextEdit();

private:
    QLabel *m_ocrImageLabel;
    QHBoxLayout *m_ocrImageHLayout;

    QTextEdit *m_ocrTextEdit;
    QHBoxLayout *m_ocrTextEditHLayout;

    ToolBarWidget *m_toolbarWidget;

    QVBoxLayout *m_ocrVLayout;

    QTimer *timer;
    int scanHeight = 0;

};

#endif // SHOWOCRWIDGET_H
